Skip to main content

GET Quote

Live quote a specific instrument NT8

Uses the legacy account-scoped route to return current quotes from the NinjaTrader data feed. The endpoint accepts both single instruments and multiple instruments in a comma-separated list.

Endpoint

GET /v1/api/accounts/{account}/quote

Headers

NameValue
Content-Typeapplication/json
AuthorizationBearer <token>

Path parameters

NameTypeRequiredDescription
accountstringRequiredName of account in NT8

Query parameters

NameTypeRequiredDescription
instrumentstringRequiredURL-encoded instrument name (e.g., ES%2012-25), can also be CSV list

Code examples

/v1/api/accounts/Sim101/quote?instrument=ESU5

/v1/api/accounts/Sim101/quote?instrument=ESU5,NQU5

import requests

token = 'my-secret-token'

url = "https://app.crosstrade.io/v1/api/accounts/Sim101/quote"
headers = {
"Authorization": f"Bearer {token}",
"Content-Type": "application/json"
}
params = {
"instrument": "NQ 12-25"
}

try:
response = requests.get(url, headers=headers, params=params)
print(f"Response Code: {response.status_code}, Response Text: {response.text}")
except Exception as e:
print(f"An error occurred: {e}")

Response

{
"instrument": "ES 12-25",
"description": "E-mini S&P 500 Futures",
"type": "Future",
"bid": 5781.75,
"ask": 5782.25,
"last": 5782.0,
"open": 5792.25,
"high": 5798.75,
"low": 5773.5,
"close": 5792.0,
"volume": 574915,
"tickSize": 0.25,
"pointValue": 50.0,
"exchange": "Globex",
"expiration": "12/1/2025 12:00:00 AM",
"tradingHours": "CME US Index Futures ETH",
"quoteTime": "9/25/2025 9:51:03 AM",
"success": true
}

Platform nuances

warning

As of v1.12.0 this endpoint is considered legacy/deprecated. Please use the GET Quote endpoint from the market service, which does not require an account to be specified.

WebSocket API

This request can also be made over the WebSocket API. The account path parameter and query parameters are passed inside args.

{
"action": "rpc",
"id": "my-request-id",
"api": "GetQuote",
"args": {
"account": "Sim101",
"instrument": "ES 09-26"
}
}